<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::statement("ALTER TABLE `ufutx_restaurant` 
ADD INDEX `user_id`(`user_id`) USING BTREE,
ADD INDEX `order_id`(`order_id`) USING BTREE,
ADD INDEX `date`(`date`) USING BTREE;");
        DB::statement("ALTER TABLE `ufutx_restaurant` COMMENT = '订餐记录表';");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
};
